<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Jerry.dimitrov</id>
		<title>Hostway API Documentation - User contributions [en]</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Jerry.dimitrov"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Special:Contributions/Jerry.dimitrov"/>
		<updated>2026-05-13T23:25:09Z</updated>
		<subtitle>User contributions</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</id>
		<title>ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ProductSpecifications-productSpecificationId-offerings-offeringId-prices:GET"/>
				<updated>2016-06-01T16:01:08Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices =&lt;br /&gt;
Retrieves prices for a particular product specification offering.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /productSpecifications/''{productSpecificationId}''/offerings/''{offeringId}''/prices&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
;filterType&lt;br /&gt;
: Indicates that the result should be filtered by price type.&lt;br /&gt;
: The legal values for this parameter are 'fee', 'discount' and 'usage_fee'&lt;br /&gt;
: '''''fee''''' - all product specification and its service specifications prices (e.g. setup fee, recurring fee, etc.)&lt;br /&gt;
: '''''discount''''' - all product specification and its service specifications discounts&lt;br /&gt;
: '''''usage_fee''''' - all product specification and its service specifications usage prices&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;filterRecurrences&lt;br /&gt;
: Indicates that the result should be filtered by the number of recurrences&lt;br /&gt;
: This parameter is optional. &lt;br /&gt;
: The values for this parameter can be specified using a wildcard(*).&lt;br /&gt;
&lt;br /&gt;
;filterRelatedServiceSpecification&lt;br /&gt;
: Indicates that the result should be filtered by linked service specification URI.&lt;br /&gt;
: A value of '' indicates that only results with relatedServiceSpecification='' should be returned.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;filterName&lt;br /&gt;
: Indicates that the result should be filtered by name&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
: This parameter CANNOT be used with values containing any wildcards (*)&lt;br /&gt;
&lt;br /&gt;
;sortField&lt;br /&gt;
: Indicates which field should be used for sorting.&lt;br /&gt;
: Legal values are 'name', 'type', 'recurrences' and 'relatedServiceSpecification'.&lt;br /&gt;
: This parameter is optional&lt;br /&gt;
&lt;br /&gt;
;sortOrder&lt;br /&gt;
: Indicates the order in which the result should be sorted.&lt;br /&gt;
: Legal values are 'asc' and 'desc'&lt;br /&gt;
: This parameter is optional. If 'sortField' was specified and 'sortOrder' was omitted, then the result will be sorted in ascending order.&lt;br /&gt;
&lt;br /&gt;
;pageSize&lt;br /&gt;
: Indicates the number of prices to be included on each page of the result (if pagination is desired)&lt;br /&gt;
: This parameter is optional. If 'page' is specified and 'pageSize' is omitted, then the result will show 100 prices per page.&lt;br /&gt;
&lt;br /&gt;
;page&lt;br /&gt;
: Indicates the 1-based index of the page to view.&lt;br /&gt;
: The value must be an integer between 1 and the maximum number of pages (returned in the 'last' element of the 'links' attribute of the result)&lt;br /&gt;
: This parameter is optional, but if 'pageSize' was specified, then 'page' is also required.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a list of prices for a particular product specification offering Id.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: Returned if incorrect parameters are specified for filtering, sorting or pagination. The response body will contain details about the nature of the error.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: Returned if the product specification Id or the offering Id could not be found.&lt;br /&gt;
&lt;br /&gt;
;502 Bad Gateway&lt;br /&gt;
: Returned there is any internal API error.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0,&lt;br /&gt;
      &amp;quot;amountType&amp;quot;: &amp;quot;retail&amp;quot;,&lt;br /&gt;
      &amp;quot;deferred&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;fee&amp;quot;&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;recurring&amp;quot;, &lt;br /&gt;
      &amp;quot;amount&amp;quot;: 1125.0,&lt;br /&gt;
      &amp;quot;amountType&amp;quot;: &amp;quot;retail&amp;quot;,&lt;br /&gt;
      &amp;quot;deferred&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot;: 3, &lt;br /&gt;
      &amp;quot;recurrences&amp;quot;: -1, &lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;, &lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
      &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
      &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
      &amp;quot;rates&amp;quot; : [ &lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 0.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	},&lt;br /&gt;
	{&lt;br /&gt;
	  &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
	  &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
	  &amp;quot;pricePerIncrement&amp;quot; : 1.0,&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
	}&lt;br /&gt;
       ]&lt;br /&gt;
     }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=3&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=1&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=2&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=4&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}/offerings/{offeringId}/prices?pageSize={pageSize}&amp;amp;page=12&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of product offering price details. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; type - ''string''&lt;br /&gt;
:: This can be either 'fee', 'discount' or 'usage_fee'. A fee represents a fee that will be charged. A discount represents a downward adjustment of the amount of a fee. An usage fee represents a fee that will be charged based on usage rate.&lt;br /&gt;
&lt;br /&gt;
:; amountType - ''string''&lt;br /&gt;
:: Possible values: 'retail'. Indicates the type of the fee amount.&lt;br /&gt;
:: This parameter is available for '''''fee''''' types only&lt;br /&gt;
&lt;br /&gt;
:; deferred - ''integer''&lt;br /&gt;
:: All fees (product and service specific fees) have deferred flag, which is showing whether the product/service has a delayed billing.&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: A name for the price. This is NOT guaranteed to be unique.&lt;br /&gt;
&lt;br /&gt;
:; billingPeriod - ''integer''&lt;br /&gt;
:: The billing frequency in months.&lt;br /&gt;
&lt;br /&gt;
:; recurrences - ''integer'' &lt;br /&gt;
:: The number of time this price will recur. A value of -1 means that the price will recur throughout the entire lifetime of the provisioned product.&lt;br /&gt;
:: This parameter is available for '''''fee''''' and '''''discount''''' types only&lt;br /&gt;
&lt;br /&gt;
:; relatedServiceSpecification - ''string''&lt;br /&gt;
:: The URI of the service specification (associated with the product) to which this price is linked. If this is an empty string, then the price is linked to the product itself.&lt;br /&gt;
&lt;br /&gt;
:; unit - ''string''&lt;br /&gt;
:: unit based on which a service is charged for.&lt;br /&gt;
:: This parameter is available for '''''usage_fee''''' type only&lt;br /&gt;
&lt;br /&gt;
:; rates - ''dictionary''&lt;br /&gt;
:: tiers of usage on which a service is charged for. Each tier has:&lt;br /&gt;
::; start - ''float''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''current''' tier's price. The start of a tier is '''inclusive for the current tier'''.&lt;br /&gt;
&lt;br /&gt;
::; end - ''float''&lt;br /&gt;
::: number of unit for which a service begins to be charged with the '''next''' tier's price. The end of a tier is '''exclusive for the current tier'''. If the '''end''' parameter is '''-1''', then we have no limit for the tier.&lt;br /&gt;
&lt;br /&gt;
::; pricePerIncrement - ''float''&lt;br /&gt;
::: Price per an increment to be charged.&lt;br /&gt;
&lt;br /&gt;
::; increment - ''float''&lt;br /&gt;
::: usage increment size to be charged pricePerIncrement price.&lt;br /&gt;
&lt;br /&gt;
::; includedPrice - ''float''&lt;br /&gt;
::: Fixed amount to be payied in a given tier.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 2.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_activesync&amp;quot;&lt;br /&gt;
  }, {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 3.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_premium&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Get usage tiers for a given service specification of a product filtered by an usage rate's name ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
&lt;br /&gt;
&amp;lt;nowiki&amp;gt;&lt;br /&gt;
http://127.0.0.1:6543/productSpecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
&lt;br /&gt;
'''HTTP/1.0 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;name&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;billingPeriod&amp;quot; : 1,&lt;br /&gt;
    &amp;quot;rates&amp;quot; : [ {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 1.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 0.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 0.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    }, {&lt;br /&gt;
      &amp;quot;start&amp;quot; : 3.0,&lt;br /&gt;
      &amp;quot;end&amp;quot; : -1.0,&lt;br /&gt;
      &amp;quot;pricePerIncrement&amp;quot; : 1.0&lt;br /&gt;
	  &amp;quot;includedPrice&amp;quot;: 3.0,&lt;br /&gt;
	  &amp;quot;increment&amp;quot;: 1.0&lt;br /&gt;
    } ],&lt;br /&gt;
    &amp;quot;relatedServiceSpecification&amp;quot; : &amp;quot;http://127.0.0.1:6543/serviceSpecifications/core.email.openxchange.xmail&amp;quot;,&lt;br /&gt;
    &amp;quot;type&amp;quot; : &amp;quot;usage_fee&amp;quot;,&lt;br /&gt;
    &amp;quot;unit&amp;quot; : &amp;quot;mfg_mailbox_standard&amp;quot;&lt;br /&gt;
  } ],&lt;br /&gt;
  &amp;quot;links&amp;quot; : [ {&lt;br /&gt;
    &amp;quot;href&amp;quot; : &amp;quot;http://127.0.0.1:6543/productspecifications/core.plan.linux.webstart/offerings/USD-1/prices?filterRelatedservicespecification=/serviceSpecifications/core.email.openxchange.xmail&amp;amp;filterType=usage_fee&amp;amp;filterName=mfg_mailbox_standard&amp;quot;,&lt;br /&gt;
    &amp;quot;rel&amp;quot; : &amp;quot;self&amp;quot;&lt;br /&gt;
  } ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Products|Product Catalog API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Product Catalog API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-webmailUpgrade:GET</id>
		<title>Accounts-account-email-domain-webmailUpgrade:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-webmailUpgrade:GET"/>
				<updated>2016-05-16T17:27:27Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Response */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account}/email/{domain}/webmailUpgrade =&lt;br /&gt;
Retrieves the product level upgrade configuration&lt;br /&gt;
&lt;br /&gt;
'''Note:''' /email/{domain}/webmailUpgrade is a shortcut equivalent of this resource&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{account}/email/{domain}/webmailUpgrade&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: Account number for the owner of the email domain entity.&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: Target domain name of the email domain resource.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns dictionary which contains the webmail upgrade settings for the target domain as a key-value pairs.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
 &lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;allowed&amp;quot;: false,&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;href&amp;quot;: &amp;quot;https://api.hostway.com/accounts/accNum123/email/example.com/webmailUpgrade/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
  &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; allowed - ''boolean''&lt;br /&gt;
: Whether upgrades are enabled or disabled by the product&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for the resource.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Email API|Email API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames:GET</id>
		<title>Accounts-account-email-domain-usernames:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames:GET"/>
				<updated>2016-05-09T14:01:58Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account}/email/{domain}/usernames =&lt;br /&gt;
Retrieves a list of mailboxes for a specific account and domain&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{account}/email/{domain}/usernames&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: The user account owning the domain and the mailboxes&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: The specific domain for which the call will retrieve the list&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
&lt;br /&gt;
; filterUsername - ''string''&lt;br /&gt;
: Only mailboxes with username matching the value of the parameter will be returned. The values used could be specified as a partial match with a wildcard(*).&lt;br /&gt;
&lt;br /&gt;
; page - ''integer''&lt;br /&gt;
: Specifies which page should be displayed. Requires a pageSize parameter to also be provided&lt;br /&gt;
&lt;br /&gt;
; pageSize - ''integer''&lt;br /&gt;
: Specifies the number of entries to be displayed on a page. Requires a page parameter to also be provided&lt;br /&gt;
&lt;br /&gt;
; sortField - ''string''&lt;br /&gt;
: Specifies if the resulting list is to be sorted by a given field. Allowed values are '''username''' and '''quota'''&lt;br /&gt;
&lt;br /&gt;
; sortOrder - ''string''&lt;br /&gt;
: The order in which the sorting is to be done. Allowed values are '''asc''' and '''desc'''&lt;br /&gt;
&lt;br /&gt;
; details - ''integer''&lt;br /&gt;
: If set to '''1''' the type of mailbox users will be displayed for each mailbox&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name or account does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;totalCount&amp;quot;: &amp;quot;{count}&amp;quot;,&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;{username}&amp;quot;, &lt;br /&gt;
            &amp;quot;webmailAccess&amp;quot;: &amp;quot;{webmailAccess}&amp;quot;,&lt;br /&gt;
            &amp;quot;links&amp;quot;: [&lt;br /&gt;
                {&lt;br /&gt;
                    &amp;quot;href&amp;quot;: &amp;quot;{href}&amp;quot;,&lt;br /&gt;
                    &amp;quot;rel&amp;quot;: &amp;quot;{rel}&amp;quot;&lt;br /&gt;
                }&lt;br /&gt;
            ],&lt;br /&gt;
            &amp;quot;type&amp;quot;: {type},&lt;br /&gt;
            &amp;quot;quota&amp;quot;: {quota}, &lt;br /&gt;
            &amp;quot;master&amp;quot;: {master}, &lt;br /&gt;
            &amp;quot;trialType&amp;quot;: &amp;quot;{trialType}&amp;quot;,&lt;br /&gt;
            &amp;quot;trialExpiration&amp;quot;: &amp;quot;{trialExpiration}&amp;quot;,&lt;br /&gt;
            &amp;quot;allowUpgrade&amp;quot;: {allowUpgrade}&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; total count - ''integer''&lt;br /&gt;
; The total number of mailboxes under the domain&lt;br /&gt;
&lt;br /&gt;
; username - ''string''&lt;br /&gt;
: The username of an individual mailbox&lt;br /&gt;
&lt;br /&gt;
; master - ''integer''&lt;br /&gt;
: Allowed values are '''0''' or '''1'''&lt;br /&gt;
&lt;br /&gt;
; quota - ''integer''&lt;br /&gt;
: The quota of the mailbox in Megabytes&lt;br /&gt;
&lt;br /&gt;
; webmailAccess - ''string''&lt;br /&gt;
: (OPTIONAL)&lt;br /&gt;
: The type of webmail of the mailbox. Allowed values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]]. Will only be displayed if the user passed the details URI parameter&lt;br /&gt;
&lt;br /&gt;
; trialType - ''string''&lt;br /&gt;
: Trial account type set for a given period of time. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]].&lt;br /&gt;
&lt;br /&gt;
; trialExpiration - ''date'' - YYYY-mm-dd&lt;br /&gt;
: Expiration date of trial period formatted as YYYY-mm-dd.&lt;br /&gt;
&lt;br /&gt;
; href - ''string''&lt;br /&gt;
: Link to other resources relevant to the mailboxes lists&lt;br /&gt;
&lt;br /&gt;
; rel - ''string''&lt;br /&gt;
: Type of relation to the resource for the provided link&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Success scenario ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/email/test.com/usernames&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;totalCount&amp;quot;: 1,&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;test&amp;quot;, &lt;br /&gt;
            &amp;quot;links&amp;quot;: [&lt;br /&gt;
                {&lt;br /&gt;
                    &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames/test/mailbox/&amp;quot;,&lt;br /&gt;
                    &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
                }&lt;br /&gt;
            ],&lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;imap&amp;quot;&lt;br /&gt;
            &amp;quot;quota&amp;quot;: 10,&lt;br /&gt;
            &amp;quot;master&amp;quot;: false, &lt;br /&gt;
            &amp;quot;trialType&amp;quot;: &amp;quot;premium&amp;quot;,&lt;br /&gt;
            &amp;quot;trialExpiration&amp;quot;: &amp;quot;2018-10-28&amp;quot;,&lt;br /&gt;
            &amp;quot;allowUpgrade&amp;quot;: true&lt;br /&gt;
        }&lt;br /&gt;
    ]    &lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request with webmailAccess ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/email/test.com/usernames?details=1&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;totalCount&amp;quot;: 1,&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;test&amp;quot;, &lt;br /&gt;
            &amp;quot;webmailAccess&amp;quot;: &amp;quot;standard&amp;quot;,&lt;br /&gt;
            &amp;quot;links&amp;quot;: [&lt;br /&gt;
                {&lt;br /&gt;
                    &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames/test/mailbox/&amp;quot;,&lt;br /&gt;
                    &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
                }&lt;br /&gt;
            ],&lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;imap&amp;quot;&lt;br /&gt;
            &amp;quot;quota&amp;quot;: 10,&lt;br /&gt;
            &amp;quot;master&amp;quot;: false, &lt;br /&gt;
            &amp;quot;trialType&amp;quot;: &amp;quot;premium&amp;quot;,&lt;br /&gt;
            &amp;quot;trialExpiration&amp;quot;: &amp;quot;2018-10-28&amp;quot;,&lt;br /&gt;
            &amp;quot;allowUpgrade&amp;quot;: true&lt;br /&gt;
        }&lt;br /&gt;
    ]    &lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Paginated request with sort order ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/email/test.com/usernames?page=2&amp;amp;pageSize=2&amp;amp;sortField=username&amp;amp;sortOrder=desc&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{   &lt;br /&gt;
    &amp;quot;totalCount&amp;quot;: 6,&lt;br /&gt;
    &amp;quot;list&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;test2&amp;quot;, &lt;br /&gt;
            &amp;quot;links&amp;quot;: [&lt;br /&gt;
                {&lt;br /&gt;
                    &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames/test2/mailbox/&amp;quot;,&lt;br /&gt;
                    &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
                }&lt;br /&gt;
            ],&lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;imap&amp;quot;,&lt;br /&gt;
            &amp;quot;quota&amp;quot;: 10,&lt;br /&gt;
            &amp;quot;master&amp;quot;: true, &lt;br /&gt;
            &amp;quot;trialType&amp;quot;: &amp;quot;premium&amp;quot;,&lt;br /&gt;
            &amp;quot;trialExpiration&amp;quot;: &amp;quot;2018-10-28&amp;quot;,&lt;br /&gt;
            &amp;quot;allowUpgrade&amp;quot;: true&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;username&amp;quot;: &amp;quot;test1&amp;quot;, &lt;br /&gt;
            &amp;quot;links&amp;quot;: [&lt;br /&gt;
                {&lt;br /&gt;
                    &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames/test1/mailbox/&amp;quot;,&lt;br /&gt;
                    &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
                }&lt;br /&gt;
            ],&lt;br /&gt;
            &amp;quot;type&amp;quot;: &amp;quot;imap&amp;quot;,&lt;br /&gt;
            &amp;quot;quota&amp;quot;: 10,&lt;br /&gt;
            &amp;quot;master&amp;quot;: false, &lt;br /&gt;
            &amp;quot;trialType&amp;quot;: &amp;quot;premium&amp;quot;,&lt;br /&gt;
            &amp;quot;trialExpiration&amp;quot;: &amp;quot;2018-10-28&amp;quot;,&lt;br /&gt;
            &amp;quot;allowUpgrade&amp;quot;: true&lt;br /&gt;
        }&lt;br /&gt;
    ],&lt;br /&gt;
    &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;first&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames?page=1&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;previous&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames?page=3&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;next&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames?page=3&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;last&amp;quot;&lt;br /&gt;
        },&lt;br /&gt;
        {&lt;br /&gt;
            &amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/test-account123/email/test.com/usernames?page=2&amp;amp;pageSize=2&amp;quot;,&lt;br /&gt;
            &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Email API|Email API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-webmail:GET</id>
		<title>Accounts-account-email-domain-webmail:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-webmail:GET"/>
				<updated>2016-05-09T13:59:16Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account}/email/{domain}/webmail =&lt;br /&gt;
Gets OpenXchange account type for the domain.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{account}/email/{domain}/webmail&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: &lt;br /&gt;
; domain - ''string''&lt;br /&gt;
:&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;type&amp;quot;: &amp;quot;{type}&amp;quot;,&lt;br /&gt;
   &amp;quot;allowUpgrade&amp;quot;: {allowUpgrade}&lt;br /&gt;
   &amp;quot;trialType&amp;quot;: &amp;quot;{trialType}&amp;quot;,&lt;br /&gt;
   &amp;quot;trialExpiration&amp;quot;: &amp;quot;{trialExpiration}&amp;quot;,&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;location&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{account}/email/{domain}/webmail/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: Webmail account type. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]].&lt;br /&gt;
&lt;br /&gt;
; allowUpgrade - ''boolean''&lt;br /&gt;
: Webmail allowUpgrade option value.&lt;br /&gt;
&lt;br /&gt;
; trialType - ''string'' - Can be null&lt;br /&gt;
: Trial account type. Null if not set. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]].&lt;br /&gt;
&lt;br /&gt;
; trialExpiration - ''date''&lt;br /&gt;
: Expiration date of trial period formatted as YYYY-mm-dd. Null if not set.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Success getting account type ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test/email/test.com/webmail&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;type&amp;quot;: &amp;quot;standard&amp;quot;,&lt;br /&gt;
   &amp;quot;allowUpgrade&amp;quot;: true,&lt;br /&gt;
   &amp;quot;trialType&amp;quot;: &amp;quot;premium&amp;quot;,&lt;br /&gt;
   &amp;quot;trialExpiration&amp;quot;: &amp;quot;2018-10-28&amp;quot;,&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;location&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{account}/email/{domain}/webmail/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-webmail:GET</id>
		<title>Accounts-account-email-domain-usernames-mailboxName-webmail:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-webmail:GET"/>
				<updated>2016-05-09T13:46:42Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account}/email/{domain}/usernames/{mailboxName}/webmail =&lt;br /&gt;
Gets OpenXchange account type.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{account}/email/{domain}/usernames/{mailboxName}/webmail&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: &lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: &lt;br /&gt;
; mailboxName - ''string''&lt;br /&gt;
: &lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;authToken&amp;quot;: &amp;quot;{authenticationToken}&amp;quot;,&lt;br /&gt;
   &amp;quot;type&amp;quot;: &amp;quot;{type}&amp;quot;,&lt;br /&gt;
   &amp;quot;allowUpgrade&amp;quot;: {allowUpgrade},&lt;br /&gt;
   &amp;quot;resetPassword&amp;quot;: {resetPassword},&lt;br /&gt;
   &amp;quot;theme&amp;quot;: &amp;quot;{theme}&amp;quot;,&lt;br /&gt;
   &amp;quot;language&amp;quot;: &amp;quot;{language}&amp;quot;,&lt;br /&gt;
   &amp;quot;timezone&amp;quot;: &amp;quot;{timezone}&amp;quot;,&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;location&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{account}/email/{domain}/usernames/{mailboxName}/webmail/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; authenticationToken - ''string''&lt;br /&gt;
: Authentication token value&lt;br /&gt;
; allowUpgrade - ''boolean''&lt;br /&gt;
: OpenXchange allowUpgrade option&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: OpenXchange account type. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]].&lt;br /&gt;
; resetPassword - ''boolean''&lt;br /&gt;
: Returns if customer will be forced to reset mailbox password the next time he logs in to his OX account&lt;br /&gt;
; theme - ''string''&lt;br /&gt;
: Theme identifier for setting a specific theme when creating an OX account&lt;br /&gt;
; language - ''string''&lt;br /&gt;
: OpenXchange account locale of type 'en_US'.&lt;br /&gt;
; timezone - ''string''&lt;br /&gt;
: OpenXchange account timezone of type 'America/Chicago'.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Success getting account type ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test/email/test.com/usernames/john.smith/webmail&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;authToken&amp;quot;: &amp;quot;PoiC9iyBehe13ZHWyhfa2eArKUJy+RJ5WpyN0eCBs2+Ns8SIdvhgto9zWLDnGZWlgTV9MuJ1F+//XnoKZWxjaRr2qh++437fChyxZmaHwe7g==&amp;quot;,&lt;br /&gt;
   &amp;quot;type&amp;quot;: &amp;quot;standard&amp;quot;, &lt;br /&gt;
   &amp;quot;allowUpgrade&amp;quot;: true, &lt;br /&gt;
   &amp;quot;resetPassword&amp;quot;: false,&lt;br /&gt;
   &amp;quot;theme&amp;quot;: &amp;quot;test_theme&amp;quot;, &lt;br /&gt;
   &amp;quot;language&amp;quot;: &amp;quot;en_US&amp;quot;, &lt;br /&gt;
   &amp;quot;timezone&amp;quot;: &amp;quot;America/Chicago&amp;quot;,&lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/test/email/test.com/usernames/john.smith/webmail/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Email-domain-usernames-mailboxName-webmail:POST</id>
		<title>Email-domain-usernames-mailboxName-webmail:POST</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Email-domain-usernames-mailboxName-webmail:POST"/>
				<updated>2016-05-09T13:40:05Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= POST /email/{domain}/usernames/{mailboxName}/webmail =&lt;br /&gt;
Creates OpenXchange account.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /email/{domain}/usernames/{mailboxName}/webmail&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: &lt;br /&gt;
; mailboxName - ''string''&lt;br /&gt;
: &lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{EmailApiAuthorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;{oxtype}&amp;quot;,&lt;br /&gt;
    &amp;quot;allowUpgrade&amp;quot;: {allowUpgrade},&lt;br /&gt;
    &amp;quot;theme&amp;quot;: &amp;quot;{theme}&amp;quot;,&lt;br /&gt;
    &amp;quot;language&amp;quot;: &amp;quot;{language}&amp;quot;,&lt;br /&gt;
    &amp;quot;timezone&amp;quot;: &amp;quot;{timezone}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; allowUpgrade - ''boolean''&lt;br /&gt;
: OpenXchange allowUpgrade option value. The default value is true.&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: OpenXchange account type. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]]. If not provided - standard is default.&lt;br /&gt;
: If current mailbox qty is more than allowed for specific OpenXchange account type the response is ''400 Bad Request''&lt;br /&gt;
; theme - ''string''&lt;br /&gt;
: Theme identifier for setting a specific theme when creating an OX account. If not provided , default theme is set.&lt;br /&gt;
; language - ''string''&lt;br /&gt;
: OpenXchange account locale of type 'en_US'.&lt;br /&gt;
; timezone - ''string''&lt;br /&gt;
: OpenXchange account timezone of type 'America/Chicago'.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 201 Created&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The format of the request body is invalid or the OpenXchange account type does not meet the requirements.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict&lt;br /&gt;
: OpenXchange account already exists.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name or mailbox do not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Failure creating account with not-valid parameter ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;non-valid&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;\&amp;quot;non-existing\&amp;quot; is not one of standard, activesync, premium&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Failure creating account when mailbox qty for OX type is exceeded ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;activesync&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;computeFault&amp;quot;:&amp;quot;Number of mailboxes exceeded&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Success creating account ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;activesync&amp;quot;, &amp;quot;allowUpgrade&amp;quot;: false, &amp;quot;language&amp;quot;: &amp;quot;en_US&amp;quot;, &amp;quot;timezone&amp;quot;: &amp;quot;America/Chicago&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-webmail:POST</id>
		<title>Accounts-account-email-domain-usernames-mailboxName-webmail:POST</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-webmail:POST"/>
				<updated>2016-05-09T13:35:45Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= POST /accounts/{account}/email/{domain}/usernames/{mailboxName}/webmail =&lt;br /&gt;
Creates OpenXchange account.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/{account}/email/{domain}/usernames/{mailboxName}/webmail&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: &lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: &lt;br /&gt;
; mailboxName - ''string''&lt;br /&gt;
: &lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;{type}&amp;quot;,&lt;br /&gt;
    &amp;quot;allowUpgrade&amp;quot;: {allowUpgrade},&lt;br /&gt;
    &amp;quot;theme&amp;quot;: &amp;quot;{theme}&amp;quot;,&lt;br /&gt;
    &amp;quot;language&amp;quot;: &amp;quot;{language}&amp;quot;,&lt;br /&gt;
    &amp;quot;timezone&amp;quot;: &amp;quot;{timezone}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; allowUpgrade - ''boolean''&lt;br /&gt;
: OpenXchange allowUpgrade option value. The default value is true.&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: OpenXchange account type. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]]. If not provided - standard is default.&lt;br /&gt;
: If current mailbox qty is more than allowed for specific OpenXchange account type - the response is ''400 Bad Request''&lt;br /&gt;
; theme - ''string''&lt;br /&gt;
: Theme identifier for setting a specific theme when creating an OX account. If not provided, default theme is set.&lt;br /&gt;
; language - ''string''&lt;br /&gt;
: OpenXchange account locale of type 'en_US'.&lt;br /&gt;
; timezone - ''string''&lt;br /&gt;
: OpenXchange account timezone of type 'America/Chicago'.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 201 Created&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The format of the request body is invalid or the OpenXchange account type does not meet the requirements.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict&lt;br /&gt;
: OpenXchange account already exists.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name or mailbox do not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Failure creating account with not-valid parameter ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /accounts/test/email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;non-valid&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;\&amp;quot;non-existing\&amp;quot; is not one of standard, activesync, premium&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Failure creating account when mailbox qty for OX type is exceeded ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /accounts/test/email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;activesync&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;computeFault&amp;quot;:&amp;quot;Number of mailboxes exceeded&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Success creating account ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /accounts/test/email/test.com/usernames/john.smith/webmail&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;type&amp;quot;: &amp;quot;standard&amp;quot;, &amp;quot;allowUpgrade&amp;quot;: false, &amp;quot;language&amp;quot;: &amp;quot;en_US&amp;quot;, &amp;quot;timezone&amp;quot;: &amp;quot;America/Chicago&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-mailbox:PUT</id>
		<title>Accounts-account-email-domain-usernames-mailboxName-mailbox:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-usernames-mailboxName-mailbox:PUT"/>
				<updated>2016-05-09T13:33:20Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT accounts/{account}/email/{domain}/usernames/{mailboxName}/mailbox =&lt;br /&gt;
Creates or updates a mailbox for specified account and domain. The mailbox quota is determined by the E-mail domain product specification.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT accounts/{account}/email/{domain}/usernames/{mailboxName}/mailbox&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
:&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
:&lt;br /&gt;
; mailboxName - ''string''&lt;br /&gt;
: The mailbox. String should meet the regexp [a-zA-Z0-9._-]+&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;password&amp;quot;: &amp;quot;{password}&amp;quot;, &lt;br /&gt;
    &amp;quot;master&amp;quot;: {master},&lt;br /&gt;
    &amp;quot;quota&amp;quot;: {quota},&lt;br /&gt;
    &amp;quot;type&amp;quot;: {type},&lt;br /&gt;
    &amp;quot;username&amp;quot;: {username}&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
&amp;lt;onlyinclude&amp;gt;&lt;br /&gt;
; password - ''string'' (Required)&lt;br /&gt;
: The password. The password should be at least 8 characters long, a mix of numbers, symbols and mixed-case letters. It should not begin with &amp;quot;pass&amp;quot;, &amp;quot;123&amp;quot;, &amp;quot;abc&amp;quot;, should not contain the second-level domain name of the service, should not contain the username of the mailbox or start with its first 3 characters. There is a restriction using the same password more than once.&lt;br /&gt;
: Password validation rules:&lt;br /&gt;
:: Password must not be used more than once&lt;br /&gt;
:: Minimum length 8&lt;br /&gt;
:: Maximum length 128&lt;br /&gt;
:: Should have at least one digit&lt;br /&gt;
:: Should have at least one capital letter&lt;br /&gt;
:: Should have at least one lower case letter&lt;br /&gt;
:: Should contain at least one special character (any character other than lower or uppercase letters, digits and underscore &amp;quot;_&amp;quot; is considered special character)&lt;br /&gt;
:: Should not start with the phrase 'pass' case-insensitively&lt;br /&gt;
:: Should not start with 'abc' case-insensitively&lt;br /&gt;
:: Should not start with 123&lt;br /&gt;
:: Must not contain second-level domain, username or start with the first 3 letters from the username&lt;br /&gt;
&amp;lt;/onlyinclude&amp;gt;&lt;br /&gt;
&lt;br /&gt;
; master - ''boolean''&lt;br /&gt;
: Describes if this is a master account.&lt;br /&gt;
&lt;br /&gt;
; quota - ''int''&lt;br /&gt;
: Quota value in MB. If not provided default quota for OpenXchange type is set&lt;br /&gt;
&lt;br /&gt;
; type - ''string''&lt;br /&gt;
: OpenXchange account type. Supported values can be obtained from the [[Accounts-account-email-domain-webmailNames:GET|webmailNames API endpoint]]. If not provided - standard is default.&lt;br /&gt;
: If current mailbox qty is more than the allowed value for specific OpenXchange account type, the response will be ''400 Bad Request''&lt;br /&gt;
&lt;br /&gt;
; username - ''string''&lt;br /&gt;
: The mailbox. String should meet the regexp [a-zA-Z0-9._-]+&lt;br /&gt;
: Should be used when updating mailbox only&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 201 Created&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 204 No Content&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The format of the request body is invalid or the username does not meet the requirements.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name does not exist.&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict&lt;br /&gt;
: Mailbox already exists.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Trying to create mailbox without a password ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;master&amp;quot;: false}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;:&amp;quot;Required&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Trying to create mailbox with a not valid password ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;: &amp;quot;abc1234&amp;quot;, &amp;quot;master&amp;quot;: true}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;:&amp;quot;Required&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Trying to create mailbox with invalid quota value(less or equal to 0) ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password: &amp;quot;test_password1&amp;quot;, &amp;quot;quota&amp;quot;: 0}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;computeFault&amp;quot;:&amp;quot;Quota must be greater than 0&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Trying to create mailbox when mailbox qty for OX type is exceeded ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password: &amp;quot;test_password1&amp;quot;, &amp;quot;type&amp;quot;: &amp;quot;activesync&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;computeFault&amp;quot;:&amp;quot;Number of mailboxes exceeded&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Create mailbox ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;: &amp;quot;pWord123$&amp;quot;, &amp;quot;master&amp;quot;: true}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Update mailbox password ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;: &amp;quot;!q2w3e4R&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
204 No Content&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Trying to update mailbox password with already used one ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith2/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;: &amp;quot;pWord123$&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Update mailbox name ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;username&amp;quot;: &amp;quot;john.smith2&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
204 No Content&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Update mailbox using an existing name ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;username&amp;quot;: &amp;quot;jack.smith&amp;quot;}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Create mailbox with specified quota===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith2/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;password&amp;quot;: &amp;quot;pword1234&amp;quot;, &amp;quot;quota&amp;quot;: 70}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Update existing mailbox quota===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /accounts/test-account123/email/test.com/usernames/john.smith2/mailbox&lt;br /&gt;
&lt;br /&gt;
{&amp;quot;quota&amp;quot;: 85}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
204 No Content&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Email API|Email API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Webmailnames:GET</id>
		<title>Webmailnames:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Webmailnames:GET"/>
				<updated>2016-05-09T13:22:50Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Response */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /webmailnames =&lt;br /&gt;
Retrieves WebMail plan names mapping.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /webmailnames&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns a dictionary containing the full list of available OpenXchange types by text key and WebMail plan names.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
 &lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;webmailNames&amp;quot;: {&lt;br /&gt;
      &amp;quot;activesync&amp;quot;: &amp;quot;SMX Sync Advanced&amp;quot;, &lt;br /&gt;
      &amp;quot;premium&amp;quot;: &amp;quot;SMA Collaborate Premium&amp;quot;, &lt;br /&gt;
      &amp;quot;standard&amp;quot;: &amp;quot;SMX Mail Basic&amp;quot;&lt;br /&gt;
   }, &lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;href&amp;quot;: &amp;quot;https://api.hostway.com/webmailnames/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
  &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; webmailNames - ''dictionary''&lt;br /&gt;
: Dictionary containing WebMail plan names mapping&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Miscellaneous|Miscellaneous APIs]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Miscellaneous APIs]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-email-domain-webmailNames:GET</id>
		<title>Accounts-account-email-domain-webmailNames:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-email-domain-webmailNames:GET"/>
				<updated>2016-05-09T13:18:51Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Response */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account}/email/{domain}/webmailNames =&lt;br /&gt;
Retrieves mapping of the allowed OX types with WebMail plan names for the target email domain resource. The result can be tied to a specific plan configuration on the product level.&lt;br /&gt;
&lt;br /&gt;
'''Note:''' /email/{domain}/webmailNames is a shortcut equivalent of this resource&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{account}/email/{domain}/webmailNames&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: Account number for the owner of the email domain entity.&lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: Target domain name of the email domain resource.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
Returns dictionary which contains the mapping of supported OpenXchange types by text key and WebMail plan names for the specific email domain resource.&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
 &lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;webmailNames&amp;quot;: {&lt;br /&gt;
      &amp;quot;activesync&amp;quot;: &amp;quot;SMX Sync Advanced&amp;quot;, &lt;br /&gt;
      &amp;quot;premium&amp;quot;: &amp;quot;SMA Collaborate Premium&amp;quot;, &lt;br /&gt;
      &amp;quot;standard&amp;quot;: &amp;quot;SMX Mail Basic&amp;quot;&lt;br /&gt;
   }, &lt;br /&gt;
   &amp;quot;links&amp;quot;: [&lt;br /&gt;
      {&lt;br /&gt;
         &amp;quot;href&amp;quot;: &amp;quot;https://api.hostway.com/accounts/accNum123/email/example.com/webmailNames/&amp;quot;, &lt;br /&gt;
         &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
      }&lt;br /&gt;
   ]&lt;br /&gt;
}&lt;br /&gt;
  &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; webmailNames - ''dictionary''&lt;br /&gt;
: Dictionary containing the supported OX types by text key and the WebMail plan names.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for the resource.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Email API|Email API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-dedicatedServers-server:GET</id>
		<title>Accounts-account-dedicatedServers-server:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-dedicatedServers-server:GET"/>
				<updated>2016-04-08T16:26:59Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{accountId}/dedicatedServers/{serverId} =&lt;br /&gt;
Retrieves specified dedicated server info.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/dedicatedServers/''{serverId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The user account owning the dedicated server&lt;br /&gt;
; serverId - ''string''&lt;br /&gt;
: The specified dedicated server Id&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;dedicatedServerId&amp;quot;: &amp;quot;{serverId}&amp;quot;, &lt;br /&gt;
  &amp;quot;serverName&amp;quot;: &amp;quot;{serverName}&amp;quot;,&lt;br /&gt;
  &amp;quot;pdu&amp;quot;: &amp;quot;{pduInfo}&amp;quot;,&lt;br /&gt;
  &amp;quot;ipAddresses&amp;quot;: [&lt;br /&gt;
     {&lt;br /&gt;
       &amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses&amp;quot;, &lt;br /&gt;
       &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;&lt;br /&gt;
     }&lt;br /&gt;
  ], &lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{accountId}/dedicatedServers/{serverId}/&amp;quot;, &lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; dedicatedServerId - ''string''&lt;br /&gt;
: The Id of the dedicated server&lt;br /&gt;
&lt;br /&gt;
; serverName - ''string''&lt;br /&gt;
: The name of the dedicated server&lt;br /&gt;
&lt;br /&gt;
; pduInfo - ''string(optional)''&lt;br /&gt;
: A comma-separated list of PDU interfaces used for the server's remote-reboot. If the PDU is not configured, the field is omitted.&lt;br /&gt;
&lt;br /&gt;
; ipAddresses - ''list''&lt;br /&gt;
: Links to IP addresses for this dedicated server&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Link to self will preserve sorting and pagination set by the request. Links to the first, last, previous and next pages will also be included if applicable&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes  ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource. The only user(s) who has access to the dedicated servers list must be a sales agent, the account owner, or the account technical admin. &lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The account or server does not exist.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get specific dedicated server info ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET accounts/test-account123/dedicatedServers/test-srv-00132ff1&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;dedicatedServerId&amp;quot;: &amp;quot;test-srv-00132ff1&amp;quot;, &lt;br /&gt;
  &amp;quot;serverName&amp;quot;: &amp;quot;Server10&amp;quot;, &lt;br /&gt;
  &amp;quot;ipAddresses&amp;quot;: [&lt;br /&gt;
     {&lt;br /&gt;
       &amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/test-account123/dedicatedServers/test-srv-00132ff1/ipAddresses&amp;quot;, &lt;br /&gt;
       &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;&lt;br /&gt;
     }&lt;br /&gt;
  ], &lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/test-account123/dedicatedServers/test-srv-00132ff1/&amp;quot;, &lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Dedicated_Server_API|Dedicated Server API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Dedicated Server API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ServiceAttributes-core.fax.number</id>
		<title>ServiceAttributes-core.fax.number</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ServiceAttributes-core.fax.number"/>
				<updated>2016-03-22T15:25:31Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Attributes Body */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= Fax Over Email Number Attributes =&lt;br /&gt;
Attributes used for the FOE fax number.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Attributes Body ==&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;areaCode&amp;quot;: &amp;quot;{area_code}&amp;quot;,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{name}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; areaCode - ''string''&lt;br /&gt;
: ''(REQUIRED)''&lt;br /&gt;
: Standard 3 digit US [https://en.wikipedia.org/wiki/Telephone_numbering_plan area code] (e.g. ''312'', ''412'').&lt;br /&gt;
: Represents one of the supported area codes for a fax number within a particular ZIP area.&lt;br /&gt;
: Please refer to the [[Faxoveremail-zipCodes-zipCode-areaCodes:GET|FOE Supported Area Codes by ZIP code API]] page for a detailed information about the supported area codes.&lt;br /&gt;
&lt;br /&gt;
; name - ''string''&lt;br /&gt;
: Customer friendly name/label for the fax number.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Faxoveremail-zipCodes-zipCode-areaCodes:GET|Supported Area Codes by ZIP code]]&lt;br /&gt;
* [[ServiceAttributesStructure|Service Attributes Structure]]&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Faxoveremail-zipCodes-zipCode-areaCodes:GET</id>
		<title>Faxoveremail-zipCodes-zipCode-areaCodes:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Faxoveremail-zipCodes-zipCode-areaCodes:GET"/>
				<updated>2016-03-22T14:19:51Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /faxOverEmail/zipCodes/{zipCode}/areaCodes =&lt;br /&gt;
Get list of supported FOE area codes for a given zip code.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /faxOverEmail/zipCodes/{zipCode}/areaCodes&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; zipCode - ''string''&lt;br /&gt;
: US standard [https://en.wikipedia.org/wiki/ZIP_code ZIP code] - both '''ZIP code 5''' and '''ZIP code 5 plus 4''' formats are supported (e.g. ''98001'', ''98001-9000'').&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;304 Not Modified&lt;br /&gt;
: The list of area codes hasn't changed since the last request; the client should use its locally cached copy instead.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    &amp;quot;{areaCode}&amp;quot;,	&lt;br /&gt;
...&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    &amp;quot;self&amp;quot;: {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/faxOverEmail/zipCodes/{zipCode}/areaCodes&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Parameters ===&lt;br /&gt;
; areaCode - ''string''&lt;br /&gt;
: Standard 3 digit US [https://en.wikipedia.org/wiki/Telephone_numbering_plan area code] (e.g. ''312'', ''412'').&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Miscellaneous|Miscellaneous APIs]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Miscellaneous APIs]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ServiceAttributes-core.fax.user</id>
		<title>ServiceAttributes-core.fax.user</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ServiceAttributes-core.fax.user"/>
				<updated>2016-03-22T14:05:45Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: Created page with &amp;quot;= Fax Over Email User Attributes = Attributes used for the FOE user. __TOC__  == Attributes Body ==  &amp;lt;nowiki&amp;gt; {   &amp;quot;zipCode&amp;quot;: &amp;quot;{zip_code}&amp;quot;, }  &amp;lt;/nowiki&amp;gt;  ==== Parameters ==== ;...&amp;quot;&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= Fax Over Email User Attributes =&lt;br /&gt;
Attributes used for the FOE user.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Attributes Body ==&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;zipCode&amp;quot;: &amp;quot;{zip_code}&amp;quot;,&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; zipCode - ''string''&lt;br /&gt;
: ''(REQUIRED)''&lt;br /&gt;
: US standard [https://en.wikipedia.org/wiki/ZIP_code ZIP code] - both '''ZIP code 5''' and '''ZIP code 5 plus 4''' formats are supported (e.g. ''98001'', ''98001-9000'').&lt;br /&gt;
: Represents the zip code of the user.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[ServiceAttributesStructure|Service Attributes Structure]]&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Miscellaneous</id>
		<title>Miscellaneous</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Miscellaneous"/>
				<updated>2016-03-22T12:10:00Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* FaxOverEmail supported Area Codes by Zip Code */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= Miscellaneous APIs =&lt;br /&gt;
__TOC__&lt;br /&gt;
[{{fullurl:{{FULLPAGENAMEE}}|action=pdfbook}} download this selection of articles as a PDF book]&lt;br /&gt;
&lt;br /&gt;
== Geographical Locations ==&lt;br /&gt;
* [[Countries:GET|GET /countries]] - Returns list of all supported countries&lt;br /&gt;
* [[Countries-countryCode-provinces:GET|GET /countries/{countryCode}/provinces]] - Returns list of supported provinces or &lt;br /&gt;
&lt;br /&gt;
== Supported Salutations ==&lt;br /&gt;
* [[Salutations:GET|GET /salutations]] - Returns list of supported salutations&lt;br /&gt;
&lt;br /&gt;
== Supported User Roles ==&lt;br /&gt;
* [[Roles:GET|GET /roles]] - Returns list of supported user roles&lt;br /&gt;
&lt;br /&gt;
== FaxOverEmail supported Area Codes by Zip Code ==&lt;br /&gt;
* [[Faxoveremail-zipCodes-zipCode-areaCodes:GET|GET /faxOverEmail/zipCodes/{zipCode}/areaCodes]] - Returns list of area codes by a given zip code that FOE supports&lt;br /&gt;
&lt;br /&gt;
== Email Validation ==&lt;br /&gt;
* [[Email Validation:POST|POST /validations/email]] - Validates a registered email&lt;br /&gt;
&lt;br /&gt;
== Heartbeat ==&lt;br /&gt;
* [[heartbeat:GET|GET /heartbeat]] - Get heartbeat&lt;br /&gt;
&lt;br /&gt;
== WebMail Plan Names ==&lt;br /&gt;
* [[webmailnames:GET|GET /webmailnames]] - Get WebMail plan names&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Miscellaneous APIs]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/ServiceAttributes-core.sharepoint2007</id>
		<title>ServiceAttributes-core.sharepoint2007</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/ServiceAttributes-core.sharepoint2007"/>
				<updated>2016-03-21T16:29:43Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= SharePoint 2007 Attributes =&lt;br /&gt;
Attributes used when configuring the SharePoint 2007.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Attributes Body ==&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;domain&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;is_shared&amp;quot;: 0|1,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{name}&amp;quot;,&lt;br /&gt;
  &amp;quot;template_key&amp;quot;: &amp;quot;{template_key}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; domain - ''String''&lt;br /&gt;
: ''(REQUIRED)''&lt;br /&gt;
: The domain name for the SharePoint product.&lt;br /&gt;
&lt;br /&gt;
; is_shared - ''Integer''&lt;br /&gt;
: ''(REQUIRED)''&lt;br /&gt;
: Flag that specifies whether the domain attribute is shared domain or not. Possible values are '''1''' or '''0''' (a.k.a true or false).&lt;br /&gt;
&lt;br /&gt;
; name - ''String''&lt;br /&gt;
: ''(REQUIRED)''&lt;br /&gt;
: Sub domain name which will be the prefix of the actual [https://en.wikipedia.org/wiki/Fully_qualified_domain_name FQDN] for the SharePoint portal resource.&lt;br /&gt;
&lt;br /&gt;
; template_key - ''String''&lt;br /&gt;
: ''(OPTIONAL)''&lt;br /&gt;
: Specific template text key for the SharePoint resource.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[ServiceAttributesStructure|Service Attributes Structure]]&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Dns-zone:GET</id>
		<title>Dns-zone:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Dns-zone:GET"/>
				<updated>2015-11-16T16:05:24Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* Response */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /dns/''{zone}'' =&lt;br /&gt;
Returns the details of a DNS zone.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /dns/''{zone}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; zone - ''string''&lt;br /&gt;
: The name of the DNS zone.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Authorization&lt;br /&gt;
: Base64-encoded username:password string&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: The server could not verify the credentials from the authorization header.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: The server denies the access to the resource.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The specified zone does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;minimumTTL&amp;quot;: {minimumTTL},&lt;br /&gt;
  &amp;quot;retry&amp;quot;: {retry},&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{zone}&amp;quot;,&lt;br /&gt;
  &amp;quot;primaryNS&amp;quot;: &amp;quot;{primaryNS}&amp;quot;,&lt;br /&gt;
  &amp;quot;refresh&amp;quot;: {refresh},&lt;br /&gt;
  &amp;quot;expire&amp;quot;: {expire},&lt;br /&gt;
  &amp;quot;emailAddress&amp;quot;: &amp;quot;{emailAddress}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: {ttl},&lt;br /&gt;
  &amp;quot;serial&amp;quot;: {serial},&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/dns/{zone}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;},&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/dns/{zone}/records&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
''Request:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /dns/test.com&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized &lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Request:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /dns/unknown-zone.com&lt;br /&gt;
Authorization: Basic {base64_encoded(username:password)}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;forbidden&amp;quot;: {&amp;quot;message&amp;quot;: &amp;quot;Unauthorized: Dns failed permission check&amp;quot;, &amp;quot;code&amp;quot;: 403, &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;}&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Request:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /dns/test.com&lt;br /&gt;
Authorization: Basic {base64_encoded(username:password)}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;minimumTTL&amp;quot;: 300,&lt;br /&gt;
  &amp;quot;retry&amp;quot;: 7200,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test.com.&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;http://127.0.0.1/dns/test.com/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;},&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;http://127.0.0.1/dns/test.com/records&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;}&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;primaryNS&amp;quot;: &amp;quot;a.dns.hostway.net.&amp;quot;,&lt;br /&gt;
  &amp;quot;refresh&amp;quot;: 28800,&lt;br /&gt;
  &amp;quot;expire&amp;quot;: 604800,&lt;br /&gt;
  &amp;quot;emailAddress&amp;quot;: &amp;quot;hostmaster.siteprotect.com.&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 14400,&lt;br /&gt;
  &amp;quot;serial&amp;quot;: 1359151749&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[DNS|DNS API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:DNS API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-dedicatedServers-serverId-ipAddresses-ipaddress-statistics-traffic:GET</id>
		<title>Accounts-accountId-dedicatedServers-serverId-ipAddresses-ipaddress-statistics-traffic:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-dedicatedServers-serverId-ipAddresses-ipaddress-statistics-traffic:GET"/>
				<updated>2015-10-07T13:47:39Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* URI Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/statistics/traffic =&lt;br /&gt;
Get traffic statistics by specific time range for an IP address of a dedicated server.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
=== Request ===&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/statistics/traffic?scope={scope}&amp;amp;startDate={startDate}&amp;amp;endDate={endDate}&amp;amp;period={period}''&amp;amp;''method={method}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== URI Parameters ==&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The account Id of the dedicated server owner.&lt;br /&gt;
&lt;br /&gt;
; serverId&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The dedicated server Id for the requested IP address.&lt;br /&gt;
&lt;br /&gt;
; ipAddress - ''string''&lt;br /&gt;
: The specific IP address.&lt;br /&gt;
&lt;br /&gt;
; scope&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The scope defines whether we want statistics for inbound or outbound traffic. Possible values: '''receive''' and '''transmit''' and '''total''' (receive plus transmit values).&lt;br /&gt;
&lt;br /&gt;
; startDate&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: Start date that represents the beginning of the requested statistical time frame. The format should be '''yyyy-mm-dd'''.&lt;br /&gt;
&lt;br /&gt;
; endDate&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: End date that represents the end of the requested statistical time frame. The format should be '''yyyy-mm-dd'''.&lt;br /&gt;
&lt;br /&gt;
; period&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: Represents the granularity of the returned data sets for the requested time frame. Possible values: '''hourly''' or '''daily'''.&lt;br /&gt;
&lt;br /&gt;
; method&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: Statistics method used.  Possible values: '''avg''','''sum''','''min''' and '''max'''.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
;: {{Authorization}}&lt;br /&gt;
; Accept - HTTP Accept header [http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1]&lt;br /&gt;
: Possible values are ''application/json'', ''text/csv''. If omitted json will be returned.&lt;br /&gt;
&lt;br /&gt;
== Date Format ==&lt;br /&gt;
: All dates are interpreted and represented in UTC with [http://www.iso.org/iso/home/standards/iso8601.htm ISO 8601 format]&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
=== Status Codes ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: Incorrect URI parameters.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource or the requested time frame exceeds the maximum limit for the API.&lt;br /&gt;
: The current limit is 500 data sets per response entity, regardless of the period granularity.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The dedicated server or account does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
 [&lt;br /&gt;
    {&lt;br /&gt;
       &amp;quot;count&amp;quot;: {count}, &lt;br /&gt;
       &amp;quot;date&amp;quot;: &amp;quot;{date}&amp;quot;, &lt;br /&gt;
       &amp;quot;values&amp;quot;: {values}&lt;br /&gt;
    }&lt;br /&gt;
 ]&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; count - ''integer''&lt;br /&gt;
: The count of traffic operations for the specified period.&lt;br /&gt;
&lt;br /&gt;
; date - ''string''&lt;br /&gt;
: The date time stamp for the specified period.&lt;br /&gt;
&lt;br /&gt;
; values - ''float''&lt;br /&gt;
: The actual traffic value represented for the specified period.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
'''Successful response for total daily inbound traffic statistics'''&lt;br /&gt;
:'''GET''' /accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/statistics/traffic?scope=receive&amp;amp;startDate=2015-05-05&amp;amp;endDate=2012-05-07&amp;amp;period=daily&amp;amp;method=sum&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 200 OK&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Body:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
 [&lt;br /&gt;
    {&lt;br /&gt;
       &amp;quot;count&amp;quot;: 143, &lt;br /&gt;
       &amp;quot;date&amp;quot;: &amp;quot;2015-05-05 00:00:00&amp;quot;, &lt;br /&gt;
       &amp;quot;values&amp;quot;: 344130.30069930002&lt;br /&gt;
    }, &lt;br /&gt;
    {&lt;br /&gt;
       &amp;quot;count&amp;quot;: 144, &lt;br /&gt;
       &amp;quot;date&amp;quot;: &amp;quot;2015-05-07 00:00:00&amp;quot;, &lt;br /&gt;
       &amp;quot;values&amp;quot;: 658.34027777777999&lt;br /&gt;
    },&lt;br /&gt;
 ]&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Failure while trying to get traffic statistics and the number of returned data sets exceeds the maximum limit'''&lt;br /&gt;
:'''GET''' /accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/statistics/traffic?scope=receive&amp;amp;startDate=2015-01-01&amp;amp;endDate=2015-05-05&amp;amp;period=daily&amp;amp;method=sum&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 403 Forbidden&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Body:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;overLimit&amp;quot;: {&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;GET data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;The (startDate, endDate) range is too large. Maximum number of returned data sets exceeded.&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
'''Failure while trying to get traffic statistics and the start date is before the create date (2015-01-01) of the dedicated server'''&lt;br /&gt;
:'''GET''' /accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/statistics/traffic?scope=receive&amp;amp;startDate=2011-01-01&amp;amp;endDate=2015-05-05&amp;amp;period=daily&amp;amp;method=sum&lt;br /&gt;
&lt;br /&gt;
''Response Code:''&lt;br /&gt;
&amp;lt;pre&amp;gt;HTTP/1.1 400 Bad Request&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response Body:''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;GET data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&lt;br /&gt;
            &amp;quot;startDate&amp;quot;: &amp;quot;2011-01-01 is less than minimum value 2015-01-01&amp;quot;&lt;br /&gt;
        }&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Dedicated Server API]]&lt;/div&gt;</summary>
		<author><name>Jerry.dimitrov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-dedicatedServers-serverId-statistics-traffic:GET</id>
		<title>Accounts-accountId-dedicatedServers-serverId-statistics-traffic:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-dedicatedServers-serverId-statistics-traffic:GET"/>
				<updated>2015-10-07T13:46:12Z</updated>
		
		<summary type="html">&lt;p&gt;Jerry.dimitrov: /* URI Parameters */&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{accountId}/dedicatedServers/{serverId}/statistics/traffic =&lt;br /&gt;
Get traffic statistics by specific time range for a dedicated server.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
=== Request ===&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountId}/dedicatedServers/{serverId}/statistics/traffic?scope={scope}&amp;amp;startDate={startDate}&amp;amp;endDate={endDate}&amp;amp;period={period}''&amp;amp;''method={method}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== URI Parameters ==&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The account Id of the dedicated server owner.&lt;br /&gt;
&lt;br /&gt;
; serverId&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The specified dedicated server Id.&lt;br /&gt;
&lt;br /&gt;
; scope&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: The scope defines whether we want statistics for inbound or outbound traffic. Possible values: '''receive''', '''transmit''' and '''total''' (receive plus transmit values).&lt;br /&gt;
&lt;br /&gt;
; startDate&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: Start date that represents the beginning of the requested statistical time frame. The format should be '''yyyy-mm-dd'''.&lt;br /&gt;
&lt;br /&gt;
; endDate&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: End date that represents the end of the requested statistical time frame. The format should be '''yyyy-mm-dd'''.&lt;br /&gt;
&lt;br /&gt;
; period&lt;br /&gt;
: ''(required)''&lt;br /&gt;
: Represents the granularity of the returned data sets for the requested time frame. Possible values: '''hourly''' or '''daily'''.&lt;br /&gt;
&lt;br /&gt;
; method&lt;br /&gt;
: ''(required)''&lt;br /&gt;
[...]
